# PacketPriority.h File Reference

This file contains enumerations for packet priority and reliability enumerations. More...

## Enumerations

enum | PacketPriority { , HIGH_PRIORITY, MEDIUM_PRIORITY, LOW_PRIORITY }
| These enumerations are used to describe when packets are delivered. More...
enum | PacketReliability { UNRELIABLE, UNRELIABLE_SEQUENCED, RELIABLE, RELIABLE_ORDERED, RELIABLE_SEQUENCED }

## Detailed Description

This file contains enumerations for packet priority and reliability enumerations.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.

## Enumeration Type Documentation

enum PacketPriority

These enumerations are used to describe when packets are delivered.

Enumerator:

  HIGH_PRIORITY | High priority messages are send before medium priority messages.
  MEDIUM_PRIORITY | Medium priority messages are send before low priority messages.
  LOW_PRIORITY | Low priority messages are only sent when no other messages are waiting.

enum PacketReliability

These enumerations are used to describe how packets are delivered.

Note:
  Note to self: I write this with 3 bits in the stream. If I add more remember to change that

Enumerator:

  UNRELIABLE | Same as regular UDP, except that it will also discard duplicate datagrams. RakNet adds (6 to 17) + 21 bits of overhead, 16 of which is used to detect duplicate packets and 6 to 17 of which is used for message length.
  UNRELIABLE_SEQUENCED | Regular UDP with a sequence counter. Out of order messages will be discarded. This adds an additional 13 bits on top what is used for UNRELIABLE.
  RELIABLE | The message is sent reliably, but not necessarily in any order. Same overhead as UNRELIABLE.
  RELIABLE_ORDERED | This message is reliable and will arrive in the order you sent it. Messages will be delayed while waiting for out of order messages. Same overhead as UNRELIABLE_SEQUENCED.
  RELIABLE_SEQUENCED | This message is reliable and will arrive in the sequence you sent it. Out or order messages will be dropped. Same overhead as UNRELIABLE_SEQUENCED.